Bug 194553 - RFE: pkgorder shouldn't need write access to target directory
Summary: RFE: pkgorder shouldn't need write access to target directory
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Jones
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-06-08 23:36 UTC by Dennis Gregorovic
Modified: 2008-04-24 12:03 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-24 12:03:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dennis Gregorovic 2006-06-08 23:36:16 UTC
Currently, pkgorder requires write access to the directory that it is examining
as it writes the yum config file there.  However, on some occassions, we'll want
to run pkgorder against a read-only directory.  So, it would be helpful if the
yum config file was just stored in a temp dir.

Comment 1 Dennis Gregorovic 2006-06-14 15:41:29 UTC

------- Additional Comments From pnasrat@redhat.com  2006-06-12 10:25 EST -------
Actually we shouldn't need a config file at all, we can just do what anaconda
does now and create the yumconf and repo objects.


Comment 2 Jeremy Katz 2006-06-20 00:22:01 UTC
... and, pkgorder should die and be integrated more generically with createrepo.
 On Paul's plate 

Comment 3 Red Hat Bugzilla 2007-08-21 05:24:16 UTC
User pnasrat@redhat.com's account has been closed

Comment 4 Jon Stanley 2008-04-23 20:29:37 UTC
Adding FutureFeature keyword to RFE's.

Comment 5 Joel Andres Granados 2008-04-24 12:03:58 UTC
the config file in pkgorder is already in tmp in rawhide.


Note You need to log in before you can comment on or make changes to this bug.